cargo-debstatus(1)

NAME

cargo-debstatus - cargo-tree for debian packaging

SYNOPSYS

cargo-debstatus OPTIONS

cargo-debstatus –all-features

cargo-debstatus -h

DESCRIPTION

This manual page documents briefly the cargo-debstatus command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

cargo-debstatus should be run in a rust project folder. It will then print a dependency graph showing dependencies already in debian and dependencies still missing for packaging. Dependencies already in the Debian archive will show up green; those not in Debian yet white. Packages currently in the NEW queue will show up in turquoise.

OPTIONS

-p, --package <SPEC>
    Package to be used as the root of the tree. Has precedence over --include, --exclude and --collapse-workspace

--include <PACKAGES>
    Comma-separated list of workspace members to include in output. Has precedence over --exclude

--exclude <PACKAGES>
    Comma-separated list of workspace members to exclude from output

--features <FEATURES>
    Space-separated list of features to activate

--all-features
    Activate all available features

--no-default-features
    Do not activate the default feature

--target <TARGET>
    Set the target triple

--all-targets
    Return dependencies for all targets. By default only the host target is matched

--no-dev-dependencies
    Skip dev dependencies

--manifest-path <PATH>
    Path to Cargo.toml

-w, --collapse-workspace
    Hide the dependency trees of workspace members which are dependencies of other members

-i, --invert
    Invert the tree direction

--no-indent
    Display the dependencies as a list (rather than a tree)

--prefix-depth
    Display the dependencies as a list (rather than a tree), but prefixed with the depth

-a, --all
    Don’t truncate dependencies that have already been displayed

-d, --duplicate
    Show only dependencies which come in multiple versions (implies -i)

--charset <CHARSET>
    Character set to use in output: utf8, ascii [default: utf8]

-f, --format <FORMAT>
    Format string used for printing dependencies [default: {p}]

-v, --verbose
    Use verbose output (-vv very verbose/build.rs output)

-q, --quiet
    No output printed to stdout other than the tree

--color <WHEN>
    Coloring: auto, always, never

--frozen
    Require Cargo.lock and cache are up to date

--locked
    Require Cargo.lock is up to date

--offline
    Do not access the network

-Z <FLAG>
    Unstable (nightly-only) flags to Cargo

-h, --help
    Prints help information

-V, --version
    Prints version information

AUTHOR

Matthias Geiger <matthias.geiger1024@tutanota.de>
    Wrote this manpage for the Debian system.

COPYRIGHT

Copyright © 2023 Matthias Geiger

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or (at your option) any later version published by the Free Software Foundation.